Bug 97271 - Mozilla-1.4 serif default does not always seem to be correctly rendered.
Mozilla-1.4 serif default does not always seem to be correctly rendered.
Product: Red Hat Raw Hide
Classification: Retired
Component: urw-fonts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-06-12 10:13 EDT by Alexander Farley
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-29 14:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Here is a screenshot with some misrendered text. (313.40 KB, image/png)
2003-06-12 10:15 EDT, Alexander Farley
no flags Details

  None (edit)
Description Alexander Farley 2003-06-12 10:13:26 EDT
Description of problem: Several pages seem to have incorrectly rendered serif
text. This seems to have popped up with Mozilla-1.4-4

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Go to a website that uses regular serif type (for example http://slashdot.org)
2.Regular (i.e. non-italic) serif text is not rendered correctly for every letter.
Actual results:
Lower case "a"'s are lower than the other letters.The same seems to be true of
"c"'s and "t"'s.

Expected results:
All text would be rendered at the same level.

Additional info:
This did not appear in the releases prior to Mozilla-1.4-4.
Comment 1 Alexander Farley 2003-06-12 10:15:30 EDT
Created attachment 92356 [details]
Here is a screenshot with some misrendered text.

The RedHat entry on the page is the best example with lower case a, c, and t
all lower than the other letters.
Comment 2 Alexander Farley 2003-06-12 10:17:16 EDT
I do not know if the screenshot will be viewable. It did not work correctly when
I tested it a moment ago.
Comment 3 John Ellson 2003-06-13 14:35:15 EDT
I've noticed the same problem.   It seems to clear up if you use the font
preferences tool to turn off hinting.
Comment 4 Christopher Blizzard 2003-06-23 11:32:06 EDT
Over to owen as per his request.
Comment 5 Alexander Farley 2003-07-22 17:42:52 EDT
The font rendering seems to be fixed with Urw-fonts-2.1-4.1. The default serif
font rendering looks pretty good.
Comment 6 Owen Taylor 2003-07-25 08:45:06 EDT
There's still a fix I need to make to bold-italic.
Comment 7 Owen Taylor 2003-08-29 14:35:01 EDT
Did some fixes for Medium italic so at least the bold/non-bold distinction
works. The hints for Medium italic need a lot of love, but I'll leave that
for upstream.

Note You need to log in before you can comment on or make changes to this bug.